


#include "globdef.h"
#include "uidef.h"
#include "screendef.h"
#include "keyboard_def.h"

void open_mouse(void)
{
mouse_task=-1;
mouse_hide_flag=1;
hide_mouse();
leftpressed=0;
rightpressed=0;
mouse_active_flag=0;
mouse_flag=1;
}

void close_mouse(void)
{
mouse_active_flag=0;
mouse_flag=0;
}

void mouse_nothing(void)
{
if(leftpressed == BUTTON_RELEASED)
  {
  leftpressed=BUTTON_IDLE;
  mouse_active_flag=0;
  }
}


void erase_numinput_txt(void)
{
int i;
numinput_txt[0]='_';
for(i=1; i<numinput_chars; i++)numinput_txt[i]=' ';
numinput_txt[numinput_chars]=0;
settextcolor(15);
lir_pixwrite(numinput_xpix,numinput_ypix,numinput_txt);  
numinput_curpos=0;
}

void get_numinput_chars(void)
{
int i, flag;
flag=0;
if(lir_inkey == 10 || lir_inkey == 13)
  {
  switch (numinput_flag)
    {
    case FIXED_INT_PARM:
    sscanf(numinput_txt,"%d",&numinput_int_data);
    break;

    case FIXED_FLOAT_PARM:
    sscanf(numinput_txt,"%f",&numinput_float_data);
    break;
    }
  numinput_flag|=DATA_READY_PARM;
  lir_inkey=0;
  return;
  } 
if(lir_inkey == 8 || lir_inkey == 127 || lir_inkey == ARROW_LEFT_KEY)
  {
  if(numinput_curpos==0)return;
  numinput_curpos--;
  numinput_txt[numinput_curpos]='_';
  numinput_txt[numinput_curpos+1]=' ';
  lir_pixwrite(numinput_xpix,numinput_ypix,numinput_txt);  
  return;
  }
if( (lir_inkey >= '0' && lir_inkey <= '9') || numinput_flag == TEXT_PARM)
  {
  flag=1;
  }
if(numinput_curpos == 0 && lir_inkey == '-' && numinput_flag != TEXT_PARM)
  {
  flag=1;
  }
if( numinput_flag == FIXED_FLOAT_PARM)
  {
  if(lir_inkey == '.' || lir_inkey == 'E')
    {
    for(i=0; i<numinput_curpos; i++)if(numinput_txt[i] == lir_inkey)return;
    flag=1;
    }
  if(numinput_curpos > 0 && lir_inkey == '-')
    {
    if(numinput_txt[numinput_curpos-1] == 'E')
      {
      flag=1;
      }
    }
  }
if(flag == 1)
  {
  numinput_txt[numinput_curpos]=lir_inkey;
  numinput_curpos++;
  }
if(numinput_curpos > numinput_chars-1)
  {
  numinput_curpos=numinput_chars-1;
  }
else
  {  
  numinput_txt[numinput_curpos]='_';
  }
numinput_txt[numinput_curpos+1]=0;
lir_pixwrite(numinput_xpix,numinput_ypix,numinput_txt);  
}

