
// Set DUMPFILE to TRUE to get debug info in the file dmp.
// Use xz("string"); to get traces from code execution
// or make explicit writes to dmp. xz() will call
// fflush() and sync() and thus it contains information
// just before a crash that would otherwise not have been 
// physically written to the disk. 
// If you trace crashes, use fprintf(dmp,"%d.....",variables)
// followed by xz(" "); to physically write to disk.
// (Do not use xz() if you want fast processing)

//#define DUMPFILE TRUE
#define DUMPFILE FALSE

#define BUFBARS FALSE

#define GENPARM_VERNR 139
#define PROGRAM_NAME "Linrad-02.14"
#define HELP_VERNR 000001
#define ERROR_VERNR 000007
#define UI_VERNR 2220209
#define AG_VERNR 5550024
#define WG_VERNR 6660024
#define HG_VERNR 7770050
#define BG_VERNR 8880120
#define PG_VERNR 9990024
#define NETWORK_VERNR 256252
#define TXPAR_VERNR 5300125
#define SDR14PAR_VERNR 2150200
